Skip to main content
GET
Fetch task

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to fetch tasks for

taskId
string
required

The UUID of the task to fetch

Response

id
string<uuid>
required

Unique ID for the task

user_response_type
enum<string>
required

User response type for the task

Available options:
FREE_RESPONSE,
UPLOAD_DOCUMENT
title
string
required

Title for the task

Example:

"This is a demo task"

question
string
required

The question asked to the business owner

Example:

"On Wednesday, you spent $290.99 on example items. What was this purchase for?"

status
enum<string>
required

The status of the task

Available options:
TODO,
USER_MARKED_COMPLETED,
COMPLETED,
ARCHIVED,
DELETED
Example:

"COMPLETED"

created_at
string<date-time>
required

Timestamp of when the task was created

updated_at
string<date-time>
required

Timestamp of when the task was last updated

user_response
string | null

The business owner's response to the task

Example:

"This is my response to the task."

transaction_id
string<uuid> | null

The transaction the task is related to, if any.

user_marked_completed_at
string<date-time> | null

Timestamp of when the business owner marked the task as completed.

completed_at
string<date-time> | null

Timestamp of when Layer marked the task as completed.

archived_at
string<date-time> | null

Timestamp of when the task was archived.